IOSS 2.0

Classes | Functions
anonymous_namespace{Iocgns_Utils.C} Namespace Reference

## Classes
struct | Range

## Functions
std::pair< std::string, int > | decompose_name (const std::string &name, bool is_parallel)
int | power_2 (int count)
bool | overlaps (const Range &a, const Range &b)
Range | subset_range (const Range &a, const Range &b)
void | bc_subset_range (const Ioss::StructuredBlock *block, Ioss::BoundaryCondition &bc)
int | extract_trailing_int (const char *name)
ssize_t | proc_with_minimum_work (Iocgns::StructuredZoneData *zone, const std::vector< size_t > &work, std::set< std::pair< int, int >> &proc_adam_map)
void | add_bc_to_block (Ioss::StructuredBlock *block, const std::string &boco_name, const std::string &fam_name, int ibc, cgsize_t *range, CG_BCType_t bocotype, bool is_parallel_io)
void | sync_transient_variables_fpp (Ioss::Region *region)
void | consolidate_zgc (const Ioss::Region &region)

## Function Documentation

## ◆ add_bc_to_block()

void anonymous_namespace{Iocgns_Utils.C}::add_bc_to_block | ( | Ioss::StructuredBlock * | block,
|  | const std::string & | boco_name,
|  | const std::string & | fam_name,
|  | int | ibc,
|  | cgsize_t * | range,
|  | CG_BCType_t | bocotype,
|  | bool | is_parallel_io
| ) |  |

## ◆ bc_subset_range()

void anonymous_namespace{Iocgns_Utils.C}::bc_subset_range | ( | const Ioss::StructuredBlock * | block,
|  | Ioss::BoundaryCondition & | bc
| ) |  |

## ◆ consolidate_zgc()

void anonymous_namespace{Iocgns_Utils.C}::consolidate_zgc | ( | const Ioss::Region & | region | ) |

## ◆ decompose_name()

std::pair<std::string, int> anonymous_namespace{Iocgns_Utils.C}::decompose_name | ( | const std::string & | name,
|  | bool | is_parallel
| ) |  |

## ◆ extract_trailing_int()

int anonymous_namespace{Iocgns_Utils.C}::extract_trailing_int | ( | const char * | name | ) |

## ◆ overlaps()

bool anonymous_namespace{Iocgns_Utils.C}::overlaps | ( | const Range & | a,
|  | const Range & | b
| ) |  |

## ◆ power_2()

int anonymous_namespace{Iocgns_Utils.C}::power_2 | ( | int | count | ) |

## ◆ proc_with_minimum_work()

ssize_t anonymous_namespace{Iocgns_Utils.C}::proc_with_minimum_work | ( | Iocgns::StructuredZoneData * | zone,
|  | const std::vector< size_t > & | work,
|  | std::set< std::pair< int, int >> & | proc_adam_map
| ) |  |

## ◆ subset_range()

Range anonymous_namespace{Iocgns_Utils.C}::subset_range | ( | const Range & | a,
|  | const Range & | b
| ) |  |

## ◆ sync_transient_variables_fpp()

void anonymous_namespace{Iocgns_Utils.C}::sync_transient_variables_fpp | ( | Ioss::Region * | region | ) |